Subject: Re: bug#20489: 25.0.50; next-error-find-buffer chooses non-current buffer without good reason

From: Dmitry Gutov <[email-masked]>
Date: Tue, 27 Feb 2018 03:54:55 +0200

On 2/27/18 3:21 AM, Dmitry Gutov wrote:

> Further, I'm not sure I like bug#20489 being closed with this patch 
> only. Even if it worked 100%, it doesn't address everything that came up 
> in that discussion. Bug#28864 being closed is fine, and indeed that 
> scenario has been addressed.

Actually, I retract this. next-error-select-buffer should address the 
other major pain point, as soon as the basics work fine.

On that subject: why did we make next-error-last-buffer always buffer-local?